# This file created by conda-build 3.28.2
# ------------------------------------------------

package:
  name: gst-plugins-base
  version: 1.22.8
source:
  - sha256: ad4e3db1771139b1db17b1afa7c05db083ae0100bd4da244b71f162dcce41bfc
    url: https://gstreamer.freedesktop.org/src/gstreamer/gstreamer-1.22.8.tar.xz
  - folder: plugins_base
    sha256: eb6792e5c73c6defb9159c36ea6e4b78a2f8af6512678b4bd3b02c8d2d492acf
    url: https://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-1.22.8.tar.xz
  - folder: plugins_good
    patches: null
    sha256: e305b9f07f52743ca481da0a4e0c76c35efd60adaf1b0694eb3bb021e2137e39
    url: https://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-1.22.8.tar.xz
build:
  activate_in_script: true
  ignore_run_exports: null
  number: 1
  run_exports:
    - gst-plugins-base >=1.22.8,<1.23.0a0
  string: h8e1006c_1
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 h69a702a_13
    - binutils_impl_linux-64 2.40 hf600244_0
    - binutils_linux-64 2.40 hbdbef99_2
    - bzip2 1.0.8 hd590300_5
    - ca-certificates 2023.11.17 hbcca054_0
    - cairo 1.18.0 h3faef2a_0
    - expat 2.5.0 hcb278e6_1
    - font-ttf-dejavu-sans-mono 2.37 hab24e00_0
    - font-ttf-inconsolata 3.000 h77eed37_0
    - font-ttf-source-code-pro 2.038 h77eed37_0
    - font-ttf-ubuntu 0.83 h77eed37_1
    - fontconfig 2.14.2 h14ed4e7_0
    - fonts-conda-ecosystem 1 0
    - fonts-conda-forge 1 0
    - freetype 2.12.1 h267a509_2
    - g-ir-build-tools 1.78.1 py312hcb69f48_1
    - g-ir-host-tools 1.78.1 hfff48b1_1
    - gcc_impl_linux-64 12.3.0 he2b93b0_3
    - gcc_linux-64 12.3.0 h76fc315_2
    - gettext 0.21.1 h27087fc_0
    - gobject-introspection 1.78.1 py312h15a1d3f_1
    - gxx_impl_linux-64 12.3.0 he2b93b0_3
    - gxx_linux-64 12.3.0 h8a814eb_2
    - icu 73.2 h59595ed_0
    - kernel-headers-cos7-x86_64 3.10.0 h9b0a68f_1105
    - kernel-headers_linux-64 3.10.0 h4a8ded7_13
    - ld_impl_linux-64 2.40 h41732ed_0
    - libdrm-cos7-x86_64 2.4.97 h9b0a68f_1105
    - libdrm-devel-cos7-x86_64 2.4.97 h9b0a68f_1105
    - libexpat 2.5.0 hcb278e6_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-devel_linux-64 12.3.0 h8bca6fd_103
    - libgcc-ng 13.2.0 h807b86a_3
    - libgirepository 1.78.1 h003a4f0_1
    - libglib 2.78.3 h783c2da_0
    - libglvnd-cos7-x86_64 1.0.1 h9b0a68f_1105
    - libglvnd-glx-cos7-x86_64 1.0.1 h9b0a68f_1105
    - libgomp 13.2.0 h807b86a_3
    - libiconv 1.17 hd590300_2
    - libnsl 2.0.1 hd590300_0
    - libpng 1.6.39 h753d276_0
    - libsanitizer 12.3.0 h0f45ef3_3
    - libselinux-cos7-x86_64 2.5 h9b0a68f_1105
    - libselinux-devel-cos7-x86_64 2.5 h9b0a68f_1105
    - libsepol-cos7-x86_64 2.5 h9b0a68f_1105
    - libsepol-devel-cos7-x86_64 2.5 h9b0a68f_1105
    - libsqlite 3.44.2 h2797004_0
    - libstdcxx-devel_linux-64 12.3.0 h8bca6fd_103
    - libstdcxx-ng 13.2.0 h7e041cc_3
    - libuuid 2.38.1 h0b41bf4_0
    - libxcb 1.15 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.2.13 hd590300_5
    - mesa-dri-drivers-cos7-x86_64 18.3.4 h9b0a68f_1105
    - mesa-khr-devel-cos7-x86_64 18.3.4 h9b0a68f_1105
    - mesa-libgl-cos7-x86_64 18.3.4 h9b0a68f_1105
    - mesa-libgl-devel-cos7-x86_64 18.3.4 h9b0a68f_1105
    - mesa-libglapi-cos7-x86_64 18.3.4 h9b0a68f_1105
    - meson 1.3.1 pyhd8ed1ab_0
    - ncurses 6.4 h59595ed_2
    - ninja 1.11.1 h924138e_0
    - openssl 3.2.0 hd590300_1
    - pcre2 10.42 hcad00b1_0
    - pixman 0.42.2 h59595ed_0
    - pkg-config 0.29.2 h36c2ea0_1008
    - pthread-stubs 0.4 h36c2ea0_1001
    - python 3.12.1 hab00c5b_1_cpython
    - python_abi 3.12 4_cp312
    - readline 8.2 h8228510_1
    - setuptools 69.0.3 pyhd8ed1ab_0
    - sysroot_linux-64 2.17 h4a8ded7_13
    - tk 8.6.13 noxft_h4845f30_101
    - tzdata 2023d h0c530f3_0
    - xorg-kbproto 1.0.7 h7f98852_1002
    - xorg-libice 1.1.1 hd590300_0
    - xorg-libsm 1.2.4 h7391055_0
    - xorg-libx11 1.8.7 h8ee46fc_0
    - xorg-libxau 1.0.11 hd590300_0
    - xorg-libxdmcp 1.1.3 h7f98852_0
    - xorg-libxext 1.3.4 h0b41bf4_2
    - xorg-libxrender 0.9.11 hd590300_0
    - xorg-renderproto 0.11.1 h7f98852_1002
    - xorg-xextproto 7.3.0 h0b41bf4_1003
    - xorg-xproto 7.0.31 h7f98852_1007
    - xz 5.2.6 h166bdaf_0
    - zlib 1.2.13 hd590300_5
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - alsa-lib 1.2.10 hd590300_0
    - bzip2 1.0.8 hd590300_5
    - ca-certificates 2023.11.17 hbcca054_0
    - expat 2.5.0 hcb278e6_1
    - gettext 0.21.1 h27087fc_0
    - glib 2.78.3 hfc55251_0
    - glib-tools 2.78.3 hfc55251_0
    - gstreamer 1.22.8 h98fc4e7_1
    - ld_impl_linux-64 2.40 h41732ed_0
    - libexpat 2.5.0 hcb278e6_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 13.2.0 h807b86a_3
    - libglib 2.78.3 h783c2da_0
    - libgomp 13.2.0 h807b86a_3
    - libiconv 1.17 hd590300_2
    - libnsl 2.0.1 hd590300_0
    - libogg 1.3.4 h7f98852_1
    - libopus 1.3.1 h7f98852_1
    - libpng 1.6.39 h753d276_0
    - libsqlite 3.44.2 h2797004_0
    - libstdcxx-ng 13.2.0 h7e041cc_3
    - libuuid 2.38.1 h0b41bf4_0
    - libvorbis 1.3.7 h9c3ff4c_0
    - libxcb 1.15 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.2.13 hd590300_5
    - ncurses 6.4 h59595ed_2
    - openssl 3.2.0 hd590300_1
    - pcre2 10.42 hcad00b1_0
    - pthread-stubs 0.4 h36c2ea0_1001
    - python 3.12.1 hab00c5b_1_cpython
    - readline 8.2 h8228510_1
    - tk 8.6.13 noxft_h4845f30_101
    - tzdata 2023d h0c530f3_0
    - xorg-damageproto 1.2.1 h7f98852_1002
    - xorg-fixesproto 5.0 h7f98852_1002
    - xorg-kbproto 1.0.7 h7f98852_1002
    - xorg-libx11 1.8.7 h8ee46fc_0
    - xorg-libxau 1.0.11 hd590300_0
    - xorg-libxdamage 1.1.5 h7f98852_1
    - xorg-libxdmcp 1.1.3 h7f98852_0
    - xorg-libxext 1.3.4 h0b41bf4_2
    - xorg-libxfixes 5.0.3 h7f98852_1004
    - xorg-libxrender 0.9.11 hd590300_0
    - xorg-libxxf86vm 1.1.5 h0b41bf4_0
    - xorg-renderproto 0.11.1 h7f98852_1002
    - xorg-util-macros 1.19.3 h7f98852_0
    - xorg-xextproto 7.3.0 h0b41bf4_1003
    - xorg-xproto 7.0.31 h7f98852_1007
    - xz 5.2.6 h166bdaf_0
    - zlib 1.2.13 hd590300_5
  run:
    - __glibc >=2.17,<3.0.a0
    - alsa-lib >=1.2.10,<1.2.11.0a0
    - gettext >=0.21.1,<1.0a0
    - gstreamer 1.22.8 h98fc4e7_1
    - libexpat >=2.5.0,<3.0a0
    - libgcc-ng >=12
    - libglib >=2.78.3,<3.0a0
    - libogg >=1.3.4,<1.4.0a0
    - libopus >=1.3.1,<2.0a0
    - libpng >=1.6.39,<1.7.0a0
    - libstdcxx-ng >=12
    - libvorbis >=1.3.7,<1.4.0a0
    - libxcb >=1.15,<1.16.0a0
    - libzlib >=1.2.13,<1.3.0a0
    - xorg-libx11 >=1.8.7,<2.0a0
    - xorg-libxau >=1.0.11,<2.0a0
    - xorg-libxext >=1.3.4,<2.0a0
    - xorg-libxrender >=0.9.11,<0.10.0a0
test:
  commands:
    - test -f $PREFIX/lib/libgstallocators-1.0${SHLIB_EXT}
    - test -f $PREFIX/lib/libgstapp-1.0${SHLIB_EXT}
    - test -f $PREFIX/lib/libgstaudio-1.0${SHLIB_EXT}
    - test -f $PREFIX/lib/libgstfft-1.0${SHLIB_EXT}
    - test -f $PREFIX/lib/libgstpbutils-1.0${SHLIB_EXT}
    - test -f $PREFIX/lib/libgstriff-1.0${SHLIB_EXT}
    - test -f $PREFIX/lib/libgstrtp-1.0${SHLIB_EXT}
    - test -f $PREFIX/lib/libgstrtsp-1.0${SHLIB_EXT}
    - test -f $PREFIX/lib/libgstsdp-1.0${SHLIB_EXT}
    - test -f $PREFIX/lib/libgsttag-1.0${SHLIB_EXT}
    - test -f $PREFIX/lib/libgstvideo-1.0${SHLIB_EXT}
    - test -f $PREFIX/lib/girepository-1.0/GstVideo-1.0.typelib
    - gst-inspect-1.0 --plugin volume
about:
  description: 'GStreamer Base Plug-ins is a well-groomed and well-maintained collection
    of

    GStreamer plug-ins and elements, spanning the range of possible types of

    elements one would want to write for GStreamer.

    '
  doc_source_url: https://github.com/GStreamer/gst-plugins-base/tree/master/docs
  license: LGPL-2.0-or-later
  license_file: COPYING
  summary: GStreamer Base Plug-ins
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: azure_20240107.1.1
  recipe-maintainers:
    - andfoy
    - ccordoba12
    - hmaarrfk
    - mingwandroid
    - msarahan
    - scopatz
    - tschoonj
  remote_url: https://github.com/conda-forge/gstreamer-feedstock
  sha: 6415de074f84a866b15e4f334a65347d64ccce8e
